Bug 1651948 (CVE-2018-19199) - CVE-2018-19199 uriparser: Integer overflow via uriComposeQuery* or uriComposeQueryEx* function
Summary: CVE-2018-19199 uriparser: Integer overflow via uriComposeQuery* or uriCompose...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19199
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1651951 1652001
Blocks: 1651950
TreeView+ depends on / blocked
 
Reported: 2018-11-21 09:41 UTC by Andrej Nemec
Modified: 2019-09-29 15:02 UTC (History)
5 users (show)

Fixed In Version: uriparser 0.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:20:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2280 None None None 2019-08-06 12:35:15 UTC

Description Andrej Nemec 2018-11-21 09:41:45 UTC
An issue was discovered in uriparser before 0.9.0. UriQuery.c allows an integer overflow via a uriComposeQuery* or uriComposeQueryEx* function because of an unchecked multiplication.

References:

https://github.com/uriparser/uriparser/blob/uriparser-0.9.0/ChangeLog

Upstream patch:

https://github.com/uriparser/uriparser/commit/f76275d4a91b28d687250525d3a0c5509bbd666f

Comment 1 Andrej Nemec 2018-11-21 09:44:43 UTC
Created uriparser tracking bugs for this issue:

Affects: fedora-all [bug 1651951]

Comment 2 Stefan Cornelius 2018-11-21 11:43:48 UTC
Statement:

This issue affects the versions of uriparser as shipped with Red Hat Enterprise Linux 7.

Comment 4 errata-xmlrpc 2019-08-06 12:35:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2280 https://access.redhat.com/errata/RHSA-2019:2280

Comment 5 Product Security DevOps Team 2019-08-06 19:20:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19199


Note You need to log in before you can comment on or make changes to this bug.